package cn.com.qmth.examcloud.core.reports.service;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.core.reports.api.bean.ProjectInfoBean;
import cn.com.qmth.examcloud.core.reports.api.request.GetProjectInfoBeanReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectCourseOrgCountReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectStatusReq;
import cn.com.qmth.examcloud.core.reports.base.bean.AddProjectReq;
import cn.com.qmth.examcloud.core.reports.base.bean.ProjectBean;
import cn.com.qmth.examcloud.core.reports.base.bean.QueryProjectPageReq;
import cn.com.qmth.examcloud.core.reports.base.bean.UpdateProjectReq;
import cn.com.qmth.examcloud.core.reports.base.bean.UpdateProjectScoreReq;
import cn.com.qmth.examcloud.core.reports.dao.entity.ProjectEntity;

public interface ProjectService {

	public Long addProject(AddProjectReq req,Long rootOrgId);
	public void updateProject(UpdateProjectReq req,Long rootOrgId);
	public void updateEnable(String ids,Boolean enable,Long rootOrgId);
	public PageInfo<ProjectBean> queryPage(QueryProjectPageReq req,Integer pageNo,Integer pageSize,Long rootOrgId);
	public void updateProjectStatus(UpdateProjectStatusReq req) ;
	public void addReportsCompute(Long id,Long rootOrgId) ;
	public ProjectInfoBean getProjectInfoBean(GetProjectInfoBeanReq req);
	public void updateScore(UpdateProjectScoreReq req,Long rootOrgId);
	public ProjectEntity findProjectById(Long projectId);
	public void updateProjectCourseOrgCount(UpdateProjectCourseOrgCountReq req);
}
